Get fan-out (search query) statistics
curl --request GET \
--url https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics \
--header 'API-Key: <api-key>'import requests
url = "https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics"
headers = {"API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-Key': '<api-key>'}};
fetch('https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics")
.header("API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"fanouts": [
{
"fanoutCount": 9,
"latestCreatedAt": "2026-08-03T11:39:44Z",
"models": [
"PERPLEXITY"
],
"query": "How to optimize AI search visibility",
"regions": [
"KR"
]
}
],
"totalFanouts": 128
}{
"code": "COMMON_VALIDATION",
"details": [
"limit: must be 100 or less"
],
"message": "Data validation failed"
}{
"code": "COMMON_UNAUTHORIZED",
"message": "Unauthenticated user"
}{
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient credits."
}{
"code": "PLATFORM_RATE_LIMIT_EXCEEDED",
"message": "Too many requests. Please try again later."
}{
"message": "Internal Server Error",
"requestID": "bkZqnHQepkgTOocTvyHWSlHcGzRqQbZk"
}Statistics (Beta)
Fan-out query aggregation
[BETA] This is a beta API. The response spec may change without notice.
Aggregates the search queries (fan-out) that the AI actually issued while generating answers.
fanoutsis a ranking that contains only the toplimitqueries by fan-out occurrence count (fanoutCount) in descending order. It is not paginated.- The total fan-out occurrence count across the whole query scope (
totalFanouts) is returned as well. - Distinct model and region lists per query are included only when requested with
include=modelsorinclude=regions. - Fan-outs are collected only from CHATGPT · PERPLEXITY · CLAUDE · META_MUSE · BAIDU_AI_SEARCH · GROK · BAIDU_AI_TAB · DEEPSEEK answers. Other models always return empty results.
Errors
| HTTP | Code | Description |
|---|---|---|
| 400 | COMMON_VALIDATION | • Both runIDs and promptIDs missing • Too many runIDs (max 5) or promptIDs (max 10) • limit out of range (1 to 200) • Unsupported model or include value |
| 400 | COMMON_BINDING | Invalid runIDs or promptIDs format (PLATFORM_INVALID_ID in details) |
| 401 | COMMON_UNAUTHORIZED | API key or access token is missing or invalid |
| 402 | INSUFFICIENT_CREDITS | Organization credit balance is lower than the unit price of this request |
| 429 | PLATFORM_RATE_LIMIT_EXCEEDED | Rate limit exceeded. Wait for the number of seconds in the Retry-After header, then retry |
| 500 | — | Internal server error. Returns message and requestID without code |
GET
/
v1beta
/
platform
/
fanouts
/
statistics
Get fan-out (search query) statistics
curl --request GET \
--url https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics \
--header 'API-Key: <api-key>'import requests
url = "https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics"
headers = {"API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-Key': '<api-key>'}};
fetch('https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics")
.header("API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.trychainshift.ai/api/v1beta/platform/fanouts/statistics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"fanouts": [
{
"fanoutCount": 9,
"latestCreatedAt": "2026-08-03T11:39:44Z",
"models": [
"PERPLEXITY"
],
"query": "How to optimize AI search visibility",
"regions": [
"KR"
]
}
],
"totalFanouts": 128
}{
"code": "COMMON_VALIDATION",
"details": [
"limit: must be 100 or less"
],
"message": "Data validation failed"
}{
"code": "COMMON_UNAUTHORIZED",
"message": "Unauthenticated user"
}{
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient credits."
}{
"code": "PLATFORM_RATE_LIMIT_EXCEEDED",
"message": "Too many requests. Please try again later."
}{
"message": "Internal Server Error",
"requestID": "bkZqnHQepkgTOocTvyHWSlHcGzRqQbZk"
}See the Analyzing with statistics guide for the fan-out concept and real examples, and Supported models for per-model support.
Query Parameters
Response
OK